VMware Postgres v10.18 Release Notes

This document describes features, fixes, and known issues in VMware Postgres v10.18.

Release 10.18.1

Release Date: October 21st, 2021

Software Component Versions

VMware Postgres Version Component Component Version
10.18.1 PostgreSQL 10.18
pgBackRest 2.34
pg_auto_failover 1.6.2
pgbouncer 1.16.0
patroni 1.6.5
Clients psqlODBC 13.01.0000
pgjdbc 42.2.23
Extensions PL/Java 1.5.7
PL/R 8.4.2
Orafce 3.15.1
PostGIS with
geos (v3.8.1),
proj (v4.9.3), gdal (v2.4.4)
3.1.2
Connection Pooler pgbouncer 1.16.0

Features

  • VMware Postgres 10.18.1 updates the pg_auto_failover component to 1.6.2.

Release 10.18.0

Release Date: October 21st, 2021

Software Component Versions

VMware Postgres Version Component Component Version
10.18.0 PostgreSQL 10.18
pgBackRest 2.34
pg_auto_failover 1.5.2
pgbouncer 1.16.0
patroni 1.6.5
Clients psqlODBC 13.01.0000
pgjdbc 42.2.23
Extensions PL/Java 1.5.7
PL/R 8.4.2
Orafce 3.15.1
PostGIS with
geos (v3.8.1),
proj (v4.9.3), gdal (v2.4.4)
3.1.2
Connection Pooler pgbouncer 1.16.0

Features

  • VMware Postgres 10.18.0 updates the PostgreSQL database version to 10.18. Postgres version 10.18 fixes one important issue:

    • CVE-2021-3677: Fix mis-planning of repeated application of a projection step

    Version 10.18 also includes numerous other bug fixes and several improvements, as highlighted in Release Notes.

  • VMware Postgres 10.18.0 includes pgbouncer version 1.16.0, that provides connection pooling, efficient handling of connections, and internal failover for Postgres instances. For more information, see the pgbouncer documentation.

  • VMware Postgres 10.18.0 updates pg_auto_failover to 1.5.2.

  • VMware Postgres 10.18.0 updates pgBackRest to 2.34.

  • This release updates Orafce to 3.15.1, PL/R to 8.4.2, and PostGIS to 3.1.2.

  • This release updates JDBC to 42.2.23, and ODBC to 13.01.0000.

Changes

  • VMware postgres 10.18 introduces some RPM packaging changes. The location of the installed files on disk has changed from /usr to /opt/vmware/postgres/10, and the names of the installed packages have changed from vmware-postgres to vmware-postgres10. For details on the new upgrade process, see Upgrading a VMware Postgres Installation.

Upgrading to VMware Postgres 10.18

See Installing or Upgrading VMware Postgres for information about the RPM package contents and upgrade instructions.

Known Issues and Limitations

  • 884 - pg_auto_failover does not support extra table spaces.
  • 773 - A failover scenario causes files in the data directory to to be overwritten. Any files that you do not want overwritten should be stored outside the data directory. Such files include SSL certificates, keys, or different configuration files for primary and mirrors.
  • You cannot install VMware Postgres alongside an existing Red Hat Enterprise Linux PostgreSQL installation.
  • VMware does not support using the deprecated XML2 module.
  • All software components in this release, including the client ODBC and JDBC drivers, are supported only on Red Hat Enterprise Linux (RHEL) version 7 and CentOS 7 systems.